%global namedreltag .CR1
%global namedversion %{version}%{?namedreltag}
%define with_jacorb 1
Name:          jboss-integration
Version:       6.0.0
Release:       %mkrel 2
Summary:       JBoss Integration 6.0
Group:         Development/Java
License:       LGPLv2+
Url:           http://www.jboss.org/
# svn export http://anonsvn.jboss.org/repos/jbossas/projects/integration/tags/6.0.0.CR1/ jboss-integration-6.0.0.CR1
# tar czf jboss-integration-6.0.0.CR1-src-svn.tar.gz jboss-integration-6.0.0.CR1
Source0:       jboss-integration-%{namedversion}-src-svn.tar.gz

# org.jboss.javaee >> org.jboss.spec.javax.resource
# jboss-jca-api >> jboss-connector-api_1.5_spec
# 1.5.0.GA >> 1.0.0.Final
# org.jboss.javaee >> org.jboss.spec.javax.transaction
# jboss-transaction-api >> jboss-transaction-api_1.1_spec
# 1.0.1.GA >> 1.0.0.Final
Patch0:        jboss-integration-6.0.0.CR1-jboss-spec-apis.patch

# org.jboss.deployers jboss-deployers-vfs-spi jboss-deployers-core-spi 2.2.0.Alpha2
# org.jboss.kernel jboss-dependency 2.2.0.Alpha6
Patch1:        jboss-integration-6.0.0.CR1-remove-unavailable-deps.patch

Patch2:        jboss-integration-6.0.0.CR1-disable-corba.patch

BuildRequires: java-devel
BuildRequires: jboss-parent
BuildRequires: jpackage-utils

%if %with_jacorb
BuildRequires: jacorb >= 2.3.0-2
%endif
BuildRequires: jboss-aop
BuildRequires: jboss-common-core
BuildRequires: jboss-connector-1.5-api
BuildRequires: jboss-logging-spi
BuildRequires: jboss-man
BuildRequires: jboss-reflect
BuildRequires: jboss-transaction-1.1-api
BuildRequires: jboss-vfs

BuildRequires: maven
BuildRequires: maven-assembly-plugin
BuildRequires: maven-compiler-plugin
BuildRequires: maven-install-plugin
BuildRequires: maven-jar-plugin
BuildRequires: maven-javadoc-plugin
BuildRequires: maven-project-info-reports-plugin
BuildRequires: maven-release-plugin

%if %with_jacorb
Requires:      jacorb >= 2.3.0-2
%endif
Requires:      jboss-aop
Requires:      jboss-common-core
Requires:      jboss-connector-1.5-api
#Requires:      jboss-deployers
#Requires:      jboss-kernel
Requires:      jboss-logging-spi
Requires:      jboss-man
Requires:      jboss-reflect
Requires:      jboss-transaction-1.1-api
Requires:      jboss-vfs

Requires:      java
Requires:      jpackage-utils
BuildArch:     noarch


%description
The JBoss Integration SPI classes.

%package javadoc
Group:         Development/Java
Summary:       Javadoc for %{name}
Requires:      jpackage-utils

%description javadoc
This package contains javadoc for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%patch1 -p0
%if %with_jacorb
sed -i "s|<version.jacorb>2.3.0jboss.patch6-brew</version.jacorb>|<version.jacorb>2.3.0</version.jacorb>|" pom.xml
%else
%patch2 -p1
%endif

# [ERROR] Failed to execute goal org.apache.maven.plugins:maven-assembly-plugin:2.2.2:attached (default) on project jboss-integration: Assembly is incorrectly configured: null: Assembly is incorrectly configured: null:
# [ERROR] Assembly: null is not configured correctly: Assembly ID must be present and non-empty.
# disable JBoss Integration 6.0.0 Aggregate Build
sed -i "s|<module>build</module>|<!--module>build</module-->|" pom.xml

%build

mvn-rpmbuild install javadoc:aggregate

%install

mkdir -p %{buildroot}%{_javadir}/%{name}
mkdir -p %{buildroot}%{_mavenpomdir}
install -pm 644 pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-%{name}-parent.pom
%add_maven_depmap JPP.%{name}-%{name}-parent.pom

for spi in annotations \
 classloading \
%if %with_jacorb
 corba-ots \
%endif
 deployment \
 jca \
 scanning \
 transaction \
; do
  install -m 644 jboss-${spi}-spi/target/jboss-${spi}-spi-%{namedversion}.jar \
    %{buildroot}%{_javadir}/%{name}/jboss-${spi}-spi.jar
  install -m 644 jboss-${spi}-spi/pom.xml %{buildroot}%{_mavenpomdir}/JPP.%{name}-jboss-${spi}-spi.pom
  %add_maven_depmap JPP.%{name}-jboss-${spi}-spi.pom %{name}/jboss-${spi}-spi.jar
done

mkdir -p %{buildroot}%{_javadocdir}/%{name}
cp -rp target/site/apidocs/* %{buildroot}%{_javadocdir}/%{name}

%files
%{_javadir}/%{name}/jboss-*-spi.jar
%{_mavenpomdir}/JPP.%{name}-jboss-*.pom
%{_mavendepmapfragdir}/%{name}
%doc build/README build/lgpl.txt

%files javadoc
%{_javadocdir}/%{name}

%changelog

* Sat Jan 12 2013 umeabot <umeabot> 6.0.0-2.mga3
+ Revision: 354963
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Feb 06 2012 gil <gil> 6.0.0-1.mga2
+ Revision: 205412
- imported package jboss-integration

